Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezimagecategory.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezimagecategory.php 9794 2003-03-25 14:49:48Z br $
5 //
6 // Definition of eZImageCategory class
7 //
8 // Created on: <11-Dec-2000 15:24:35 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
38 // include_once( "classes/ezdb.php" );
39 // include_once( "classes/INIFile.php" );
40
41
42 class eZImageCategory
43 {
50 function __construct( $id=-1 )
51 {
52 $this->ExcludeFromSearch = "false";
53 if ( $id != -1 )
54 {
55 $this->ID = $id;
56 $this->get( $this->ID );
57 }
58 }
59
63 function store()
64 {
65 $db =& eZDB::globalDatabase();
66
67 $db->begin( );
68
69 $name = $db->escapeString( $this->Name );
70 $description = $db->escapeString( $this->Description );
71
72 if ( !isset( $this->ID ) )
73 {
74 $db->lock( "eZImageCatalogue_Category" );
75
76 $this->ID = $db->nextID( "eZImageCatalogue_Category", "ID" );
77
78 $db->query( "INSERT INTO eZImageCatalogue_Category
79 ( ID, Name, Description, UserID, ParentID, SectionID ) VALUES
80 ( '$this->ID', '$name', '$description', '$this->UserID', '$this->ParentID', '$this->SectionID' )" );
81 $db->unlock();
82 }
83 else
84 {
85 $db->query( "UPDATE eZImageCatalogue_Category SET
86 Name='$name',
87 Description='$description',
88 UserID='$this->UserID',
89 ParentID='$this->ParentID',
90 SectionID='$this->SectionID' WHERE ID='$this->ID'" );
91 }
92
93
94 if ( $dbError == true )
95 $db->rollback( );
96 else
97 $db->commit();
98
99
100 return true;
101 }
102
103 function &search( $name, $literal = false, $sortby='name', $user = false )
104 {
105 $db =& eZDB::globalDatabase();
106 $topic = array();
107
108 $sortbySQL = "Category.Name";
109 switch ( $sortby )
110 {
111 case "name" : $sortbySQL = "Category.Name"; break;
112 }
113
114 $query = new eZQuery( array( "Category.Name", "Category.Description" ),
115 $name );
116 $query->setIsLiteral( $literal );
117 $where =& $query->buildQuery();
118
119 if ( is_a( $user, "eZUser" ) )
120 $user =& eZUser::currentUser();
121
122 $show_str = "";
123 $usePermission = true;
124
125 if ( $user )
126 {
127 $groups =& $user->groups( false );
128
129 $i = 0;
130 foreach ( $groups as $group )
131 {
132 if ( $i == 0 )
133 $groupSQL .= " Permission.GroupID=$group OR";
134 else
135 $groupSQL .= " Permission.GroupID=$group OR";
136 $i++;
137 }
138 $currentUserID = $user->id();
139
140 if ( $user->hasRootAccess() )
141 $usePermission = false;
142 }
143
144 if ( $usePermission )
145 $permissionSQL = "( ($groupSQL Permission.GroupID='-1') AND Permission.ReadPermission='1' ) AND ";
146 else
147 $permissionSQL = "";
148
149 $db->array_query( $author_array,
150 "SELECT Category.ID
151 FROM eZImageCatalogue_Category AS Category,
152 eZImageCatalogue_CategoryPermission AS Permission
153 WHERE $permissionSQL $where
154 AND Permission.ObjectID=Category.ID
155 GROUP BY Category.ID
156 ORDER BY $sortbySQL" );
157
158 foreach ( $author_array as $author )
159 {
160 $topic[] = new eZImageCategory( $author[$db->fieldName( "ID" )] );
161 }
162 return $topic;
163 }
164
168 function delete( $catID=-1 )
169 {
170
171 if ( $catID == -1 )
172 $catID = $this->ID;
173
174 $category = new eZImageCategory( $catID );
175
176 $categoryList = $category->getByParent( $category );
177
178 foreach ( $categoryList as $category )
179 {
180 $category->delete();
181 }
182
183 foreach ( $this->images() as $image )
184 {
185 $image->delete();
186 }
187
188 $categoryID = $category->id();
189
190 $db =& eZDB::globalDatabase();
191
192 $db->begin( );
193
194 $res1 = $db->query( "DELETE FROM eZImageCatalogue_Category WHERE ID='$categoryID'" );
195 $res2 = $db->query( "DELETE FROM eZImageCatalogue_CategoryPermission WHERE ObjectID='$this->ID'" );
196
197 if ( ( $res1 == false ) || ( $res2 == false ) )
198 $db->rollback( );
199 else
200 $db->commit();
201
202 }
203
207 function get( $id = -1 )
208 {
209 $db =& eZDB::globalDatabase();
210
211 if ( $id != "" )
212 {
213 $db->array_query( $category_array, "SELECT * FROM eZImageCatalogue_Category WHERE ID='$id'" );
214 if ( count( $category_array ) > 1 )
215 {
216 eZPBLog::writeNotice( "Error: Category's with the same ID was found in the database. This shouldent happen." );
217 return false;
218 }
219 else if ( count( $category_array ) == 1 )
220 {
221 $this->ID =& $category_array[0][$db->fieldName("ID")];
222 $this->Name =& $category_array[0][$db->fieldName("Name")];
223 $this->Description =& $category_array[0][$db->fieldName("Description")];
224 $this->ParentID =& $category_array[0][$db->fieldName("ParentID")];
225 $this->UserID =& $category_array[0][$db->fieldName("UserID")];
226 $this->SectionID =& $category_array[0][$db->fieldName("SectionID")];
227 }
228 }
229 return true;
230 }
231
237 public static function getAll( $limit = false, $offset = 0 )
238 {
239 $db =& eZDB::globalDatabase();
240
241 if ( is_numeric($limit) && $limit > 0 )
242 $limitText = " ORDER BY ID DESC LIMIT ".$limit;
243 else
244 $limitText = " ORDER BY Name";
245
246 $return_array = array();
247 $category_array = array();
248
249 $db->array_query( $category_array, "SELECT ID, Name FROM eZImageCatalogue_Category ORDER BY Name LIMIT $limit" );
250
251 for ( $i = 0; $i < count( $category_array ); $i++ )
252 {
253 $return_array[$i] = new eZImageCategory( $category_array[$i][$db->fieldName( "ID" )] );
254 }
255
256 return $return_array;
257 }
258
263 function &getImages( $user, $category = false )
264 {
265 return eZImageCategory::images( "time", 0, -1, $category );
266 }
267
271 function countByParent( $parent )
272 {
273 if ( is_a( $parent, "eZImageCategory" ) )
274 {
275 $db =& eZDB::globalDatabase();
276
277 $parentID = $parent->id();
278
279 $db->query_single( $count, "SELECT count( ID ) AS Count FROM eZImageCatalogue_Category
280 WHERE ParentID='$parentID'", "Count" );
281
282 return $count;
283 }
284 else
285 {
286 return 0;
287 }
288 }
289
298 function getByParent( $parent, $offset = 0, $max = -1 )
299 {
300 if ( is_a( $parent, "eZImageCategory" ) )
301 {
302 $db =& eZDB::globalDatabase();
303
304 $return_array = array();
305 $category_array = array();
306
307 $parentID = $parent->id();
308
309 $db->array_query( $category_array, "SELECT ID, Name FROM eZImageCatalogue_Category
310 WHERE ParentID='$parentID'
311 ORDER BY Name", array( "Limit" => $max,
312 "Offset" => $offset ) );
313
314 for ( $i = 0; $i < count( $category_array ); $i++ )
315 {
316 $return_array[$i] = new eZImageCategory( $category_array[$i][$db->fieldName( "ID" )] );
317 }
318
319 return $return_array;
320 }
321 else
322 {
323 return array();
324 }
325 }
326
333 function &getByName( $name )
334 {
335 $db =& eZDB::globalDatabase();
336
337 $topic = new eZImageCategory();
338
339 if ( $name != "" )
340 {
341 $db->array_query( $author_array, "SELECT ID, Name FROM eZImageCatalogue_Category WHERE Name='$name'" );
342
343 if ( count( $author_array ) == 1 )
344 {
345 $topic = new eZImageCategory( $author_array[0][$db->fieldName( "ID" )] );
346 }
347 }
348
349 return $topic;
350 }
351
352
360 function path( $categoryID=0 )
361 {
362 if ( $categoryID == 0 )
363 {
364 $categoryID = $this->ID;
365 }
366
367 $category = new eZImageCategory( $categoryID );
368
369 $path = array();
370
371 $parent = $category->parent();
372
373 if ( $parent != 0 )
374 {
375 $path = array_merge( $path, $this->path( $parent->id() ) );
376 }
377 else
378 {
379 // array_push( $path, $category->name() );
380 }
381
382 if ( $categoryID != 0 )
383 array_push( $path, array( $category->id(), $category->name() ) );
384
385 return $path;
386 }
387
391 function getTree( $parentID=0, $level=0 )
392 {
393 $category = new eZImageCategory( $parentID );
394
395 $categoryList = $category->getByParent( $category );
396
397 $tree = array();
398 $level++;
399 foreach ( $categoryList as $category )
400 {
401 array_push( $tree, array( $return_array[] = new eZImageCategory( $category->id() ), $level ) );
402
403 if ( $category != 0 )
404 {
405 $tree = array_merge( $tree, $this->getTree( $category->id(), $level ) );
406 }
407 }
408
409 return $tree;
410 }
411
415 function id()
416 {
417 return $this->ID;
418 }
419
423 function name( $html = true )
424 {
425 $this->Name = stripslashes($this->Name);
426 if ( $html )
427 return eZTextTool::fixhtmlentities( htmlspecialchars( $this->Name ) );
428 else
429 return $this->Name;
430 }
431
435 function description( $html = true )
436 {
437 $this->Description = stripslashes($this->Description);
438 if ( $html )
439 return eZTextTool::fixhtmlentities( htmlspecialchars( $this->Description ) );
440 else
441 return $this->Description;
442 }
443
447 function parent( $as_object = true )
448 {
449 if ( !$as_object )
450 return $this->ParentID;
451 if ( $this->ParentID != 0 )
452 {
453 return new eZImageCategory( $this->ParentID );
454 }
455 else
456 {
457 return 0;
458 }
459 }
460
461
465 function user()
466 {
467 if ( $this->UserID != 0 )
468 {
469 $ret = new eZUser( $this->UserID );
470 }
471 return $ret;
472 }
473
480 static public function isOwner( $user, $imageCategory = false )
481 {
482 $res = array();
483
484 if ( !is_a( $user, "eZUser" ) )
485 return false;
486
487 $db =& eZDB::globalDatabase();
488 $db->query_single( $res, "SELECT UserID from eZImageCatalogue_Category WHERE ID='$imageCategory'");
489
490 if( isset( $res["UserID"] ) && is_numeric($res["UserID"] ) )
491 $userID = $res["UserID"];
492 else
493 $userID = false;
494
495 if ( $userID == $user->id() )
496 return true;
497
498 return false;
499 }
500
501
505 function setName( $value )
506 {
507 $this->Name = $value;
508 }
509
513 function setDescription( $value )
514 {
515 $this->Description = $value;
516 }
517
521 function setParent( $value )
522 {
523 if ( is_a( $value, "eZImageCategory" ) )
524 {
525 $this->ParentID = $value->id();
526 }
527 }
528
532 function setUser( $user )
533 {
534 if ( is_a( $user, "eZUser" ) )
535 {
536 $userID = $user->id();
537
538 $this->UserID = $userID;
539 }
540 }
541
547 static public function addImage( $value, $categoryid = false )
548 {
549 if ( is_a( $value, "eZImage" ) )
550 $imageID = $value->id();
551 else if ( is_numeric( $value ) )
552 $imageID = $value;
553 else
554 return false;
555
556 if ( !$categoryid )
557 $categoryid = 0; //$this->ID;
558
559 $db =& eZDB::globalDatabase();
560
561 $imageID = $value->id();
562
563 $db->begin( );
564 $db->lock( "eZImageCatalogue_ImageCategoryLink" );
565
566 // $query = "DELETE FROM eZImageCatalogue_ImageCategoryLink WHERE
567 // CategoryID='$categoryid' AND ImageID='$imageid'";
568
569 $query = "DELETE FROM eZImageCatalogue_ImageCategoryLink WHERE
570 ImageID='$imageid'";
571
572 $db->query( $query );
573
574 $nextID = $db->nextID( "eZImageCatalogue_ImageCategoryLink", "ID" );
575
576 $query = "INSERT INTO eZImageCatalogue_ImageCategoryLink ( ID, CategoryID, ImageID )
577 VALUES ( '$nextID', '$categoryid', '$imageID' )";
578
579 $res = $db->query( $query );
580
581 $db->unlock();
582
583 if ( $res == false )
584 $db->rollback( );
585 else
586 $db->commit();
587 }
588
594 public static function removeImage( $value, $categoryid = false )
595 {
596 if ( is_a( $value, "eZImage" ) )
597 $imageID = $value->id();
598 else if ( is_numeric( $value ) )
599 $imageID = $value;
600 else
601 return false;
602
603 $db =& eZDB::globalDatabase();
604 $query = "DELETE FROM eZImageCatalogue_ImageCategoryLink
605 WHERE CategoryID='$categoryid' AND
606 ImageID='$imageID'";
607
608 $db->begin( );
609
610 $res = $db->query( $query );
611
612 if ( $res == false )
613 $db->rollback( );
614 else
615 $db->commit();
616 }
617
618
622 function imageCount( $check_write = false )
623 {
624 if ( !isset( $limit ) or $limit == 0 )
625 {
626 $ini =& eZINI::instance( 'site.ini' );
627 $limit = $ini->variable( "eZImageCatalogueMain", "ListImagesPerPage" );
628 }
629
630 $db =& eZDB::globalDatabase();
631
632 $user =& eZUser::currentUser();
633 $usePermission = true;
634 $groupSQL = false;
635 if ( $user )
636 {
637 $groups =& $user->groups( false );
638
639 $i = 0;
640 foreach ( $groups as $group )
641 {
642 if ( $i == 0 )
643 $groupSQL .= "( Permission.GroupID=$group AND ( CategoryPermission.GroupID=$group OR CategoryPermission.GroupID='-1' ) ) OR\n";
644 else
645 $groupSQL .= " ( Permission.GroupID=$group AND ( CategoryPermission.GroupID=$group OR CategoryPermission.GroupID='-1' ) ) OR";
646
647 $i++;
648 }
649
650 $groupSQL .= " (Image.UserID='" . $user->id() . "') OR";
651
652 if ( $user->hasRootAccess() )
653 $usePermission = false;
654 }
655
656 $having_str = "";
657
658 $sel_str = "count( DISTINCT Image.ID ) AS Count";
659 if ( $usePermission )
660 {
661 if ( $check_write )
662 {
663 $permissionSQL = "( ($groupSQL Permission.GroupID='-1') )
664 AND Image.ID = Permission.ObjectID
665 AND eZImageCatalogue_Category.ID = CategoryPermission.ObjectID
666 AND ";
667 $sel_str = "max( Permission.ReadPermission ) AS MaxReadPerm, max( Permission.WritePermission ) AS MaxWritePerm,
668 MAX(CategoryPermission.WritePermission) AS MaxCatWritePerm, MAX(CategoryPermission.ReadPermission) AS MaxCatReadPerm,
669 MAX(CategoryPermission.UploadPermission) AS MaxCatUploadPerm";
670 $having_str = "GROUP BY Image.ID
671 HAVING MaxWritePerm=1 AND MaxReadPerm=1 AND MaxCatWritePerm=1 AND MaxCatReadPerm=1 AND MaxCatUploadPerm=1 ";
672 }
673 else
674 $permissionSQL = "( ( $groupSQL Permission.GroupID='-1' AND CategoryPermission.GroupID='-1' ) AND
675 Permission.ReadPermission='1' AND CategoryPermission.ReadPermission='1') AND
676 Image.ID = Permission.ObjectID AND ";
677
678 $fromTablePermissionsSQL = ", eZImageCatalogue_ImagePermission as Permission, " .
679 "eZImageCatalogue_CategoryPermission as CategoryPermission";
680
681 }
682 else
683 {
684 $permissionSQL = "";
685 $fromTablePermissionsSQL = "";
686 }
687
688 $sql = "
689 SELECT $sel_str
690 FROM eZImageCatalogue_Image as Image,
691 eZImageCatalogue_Category,
692 eZImageCatalogue_ImageCategoryLink
693 $fromTablePermissionsSQL
694 WHERE $permissionSQL
695 eZImageCatalogue_ImageCategoryLink.ImageID = Image.ID
696 AND eZImageCatalogue_Category.ID = eZImageCatalogue_ImageCategoryLink.CategoryID
697 AND eZImageCatalogue_Category.ID='$this->ID'
698 AND eZImageCatalogue_ImageCategoryLink.CategoryID='$this->ID'
699 $having_str";
700
701 // eZPBLog::writeNotice( "Count sql: $sql" );
702
703 if ( $usePermission and $check_write )
704 {
705 $db->array_query( $file_array, $sql );
706 $cnt = count( $file_array );
707 }
708 else
709 {
710 $db->query_single( $file_array, $sql,
711 "Count" );
712 $cnt = $file_array;
713 }
714 return $cnt;
715 }
716
720 function images( $sortMode = "time", $offset = 0, $limit = -1, $category=false, $check_write = false )
721 {
722 $db =& eZDB::globalDatabase();
723
724 if ( is_a ( $category, "eZImageCategory" ) )
725 {
726 $catID = $category->id();
727 }
728 elseif ( is_numeric ( $category ) )
729 $catID = $category;
730 else
731 $catID = $this->ID;
732 $return_array = array();
733 $article_array = array();
734 $user =& eZUser::currentUser();
735 $usePermission = true;
736 $groupSQL = false;
737
738 if ( $user )
739 {
740 $groups =& $user->groups( false );
741
742 if ( $user->hasRootAccess() )
743 {
744 $usePermission = false;
745 }
746 else
747 {
748 $i = 0;
749 foreach ( $groups as $group )
750 {
751 if ( $i == 0 )
752 $groupSQL .= "( Permission.GroupID=$group AND ( CategoryPermission.GroupID=$group OR CategoryPermission.GroupID='-1' ) ) OR";
753 else
754 $groupSQL .= " ( Permission.GroupID=$group AND ( CategoryPermission.GroupID=$group OR CategoryPermission.GroupID='-1' ) ) OR";
755 $i++;
756 }
757
758 $groupSQL .= " (Image.UserID='" . $user->id() . "') OR";
759 }
760 }
761
762 $having_str = "";
763 $perm_str = "";
764 if ( $usePermission )
765 {
766 $fromTablePermissionsSQL = ", eZImageCatalogue_ImagePermission as Permission, " .
767 "eZImageCatalogue_CategoryPermission as CategoryPermission";
768
769 if ( $check_write )
770 {
771 $perm_str = ", MAX(Permission.WritePermission) AS MaxWritePerm, MAX(Permission.ReadPermission) AS MaxReadPerm,
772 MAX(CategoryPermission.WritePermission) AS MaxCatWritePerm, MAX(CategoryPermission.ReadPermission) AS MaxCatReadPerm,
773 MAX(CategoryPermission.UploadPermission) AS MaxCatUploadPerm";
774 $permissionSQL = "( ($groupSQL Permission.GroupID='-1') )
775 AND Image.ID = Permission.ObjectID
776 AND eZImageCatalogue_Category.ID = CategoryPermission.ObjectID
777 AND ";
778 $having_str = "HAVING MaxWritePerm=1 AND MaxReadPerm=1 AND MaxCatWritePerm=1 AND MaxCatReadPerm=1 AND MaxCatUploadPerm=1 ";
779 }
780 else
781 $permissionSQL = "( ( $groupSQL Permission.GroupID='-1' AND CategoryPermission.GroupID='-1' ) AND " .
782 "Permission.ReadPermission='1' AND CategoryPermission.ReadPermission='1' ) AND " .
783 "Image.ID = Permission.ObjectID AND ";
784 }
785 else
786 {
787 $fromTablePermissionsSQL = "";
788 $permissionSQL = "";
789 }
790
791 $sql = " SELECT Image.ID AS ImageID,
792 Image.OriginalFileName $perm_str
793 FROM eZImageCatalogue_Image as Image,
794 eZImageCatalogue_Category,
795 eZImageCatalogue_ImageCategoryLink
796 $fromTablePermissionsSQL
797 WHERE $permissionSQL
798 eZImageCatalogue_ImageCategoryLink.ImageID = Image.ID
799 AND eZImageCatalogue_Category.ID = eZImageCatalogue_ImageCategoryLink.CategoryID
800 AND eZImageCatalogue_Category.ID='$catID'
801 GROUP BY Image.ID, Image.OriginalFileName
802 $having_str
803 ORDER BY Image.OriginalFileName";
804 // eZPBLog::writeNotice( "List sql: $sql" );
805
806 $db->array_query( $file_array, $sql,
807 array( "Limit" => $limit,
808 "Offset" => $offset ) );
809
810 for ( $i = 0; $i < count( $file_array ); $i++ )
811 {
812 $return_array[$i] = new eZImage( $file_array[$i][$db->fieldName( "ImageID" )], false );
813 }
814
815 return $return_array;
816 }
817
818
822 function setSectionID( $value )
823 {
824 $this->SectionID = $value;
825 }
826
830 function sectionID()
831 {
832 return $this->SectionID;
833 }
834
835 static public function sectionIDStatic( $categoryID )
836 {
837 $db =& eZDB::globalDatabase();
838 $db->query_single( $res, "SELECT SectionID from eZImageCatalogue_Category WHERE ID='$categoryID'" );
839 $sectionID = (int) $db->fieldName( "SectionID" );
840
841 if( isset( $res[ $sectionID ] ) )
842 {
843 $sectionID = $res[ (int) $db->fieldName( "SectionID" )];
844 }
845 else
846 {
847 $sectionID = 0;
848 }
849
850 if ( $sectionID > 0 )
851 {
852 return $sectionID;
853 }
854 else
855 {
856 return false;
857 }
858 }
859
860 var $ID;
861 var $Name;
862 var $ParentID;
863 var $Description;
864 var $UserID;
865 var $SectionID;
866 var $ExcludeFromSearch;
867 }
868
869 ?>
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
$i
$i
Definition: admin/adlist.php:91
$categoryList
foreach( $pathArray as $path) $categoryList
Definition: admin/adlist.php:86
$topic
foreach( $authorArray as $author) $topic
Definition: admin/articleedit.php:852
$group
$group
Definition: admin/articleedit.php:799
$author
$author
Definition: admin/articleedit.php:834
$level
$level
Definition: admin/message.php:106
$userID
else $userID
Definition: appointmentedit.php:121
eZDB\globalDatabase
static & globalDatabase()
Definition: ezdb.php:134
eZImageCategory
Definition: ezimagecategory.php:43
eZImageCategory\name
name( $html=true)
Definition: ezimagecategory.php:423
eZImageCategory\__construct
__construct( $id=-1)
Definition: ezimagecategory.php:50
eZImageCategory\id
id()
Definition: ezimagecategory.php:415
eZImageCategory\$ExcludeFromSearch
$ExcludeFromSearch
Definition: ezimagecategory.php:866
eZImageCategory\$SectionID
$SectionID
Definition: ezimagecategory.php:865
eZImageCategory\path
path( $categoryID=0)
Definition: ezimagecategory.php:360
eZImageCategory\setName
setName( $value)
Definition: ezimagecategory.php:505
eZImageCategory\setParent
setParent( $value)
Definition: ezimagecategory.php:521
eZImageCategory\getByParent
getByParent( $parent, $offset=0, $max=-1)
Definition: ezimagecategory.php:298
eZImageCategory\countByParent
countByParent( $parent)
Definition: ezimagecategory.php:271
eZImageCategory\imageCount
imageCount( $check_write=false)
Definition: ezimagecategory.php:622
eZImageCategory\setSectionID
setSectionID( $value)
Definition: ezimagecategory.php:822
eZImageCategory\user
user()
Definition: ezimagecategory.php:465
eZImageCategory\images
images( $sortMode="time", $offset=0, $limit=-1, $category=false, $check_write=false)
Definition: ezimagecategory.php:720
eZImageCategory\$Name
$Name
Definition: ezimagecategory.php:861
eZImageCategory\description
description( $html=true)
Definition: ezimagecategory.php:435
eZImageCategory\store
store()
Definition: ezimagecategory.php:63
eZImageCategory\sectionID
sectionID()
Definition: ezimagecategory.php:830
eZImageCategory\setUser
setUser( $user)
Definition: ezimagecategory.php:532
eZImageCategory\getImages
& getImages( $user, $category=false)
Definition: ezimagecategory.php:263
eZImageCategory\$Description
$Description
Definition: ezimagecategory.php:863
eZImageCategory\getByName
& getByName( $name)
Definition: ezimagecategory.php:333
eZImageCategory\$ID
$ID
Definition: ezimagecategory.php:860
eZImageCategory\isOwner
static isOwner( $user, $imageCategory=false)
Definition: ezimagecategory.php:480
eZImageCategory\parent
parent( $as_object=true)
Definition: ezimagecategory.php:447
eZImageCategory\addImage
static addImage( $value, $categoryid=false)
Definition: ezimagecategory.php:547
eZImageCategory\getAll
static getAll( $limit=false, $offset=0)
Definition: ezimagecategory.php:237
eZImageCategory\setDescription
setDescription( $value)
Definition: ezimagecategory.php:513
eZImageCategory\search
& search( $name, $literal=false, $sortby='name', $user=false)
Definition: ezimagecategory.php:103
eZImageCategory\$UserID
$UserID
Definition: ezimagecategory.php:864
eZImageCategory\sectionIDStatic
static sectionIDStatic( $categoryID)
Definition: ezimagecategory.php:835
eZImageCategory\removeImage
static removeImage( $value, $categoryid=false)
Definition: ezimagecategory.php:594
eZImageCategory\$ParentID
$ParentID
Definition: ezimagecategory.php:862
eZImageCategory\getTree
getTree( $parentID=0, $level=0)
Definition: ezimagecategory.php:391
eZImage
Definition: ezimage.php:95
eZPBLog\writeNotice
static writeNotice( $notice)
Definition: ezpblog.php:166
eZQuery
Definition: ezquery.php:54
eZTextTool\fixhtmlentities
static fixhtmlentities( $string)
Definition: eztexttool.php:156
eZUser
Definition: ezuser.php:76
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$ini
$ini
Definition: classes/admin/linklist.php:64
$name
$name
Definition: companytypelist.php:194
$id
$id
Definition: companytypelist.php:193
$query
if(isset( $Year) &&!is_numeric( $Year)||isset( $Month) &&!is_numeric( $Month)) $query
Definition: entryexitpages.php:65
$tree
$tree
Definition: ezad/admin/categoryedit.php:172
$db
$db
Definition: ezarticle/user/authorlist.php:53
$groups
if( $CategoryID !=0) $groups
Definition: ezbulkmail/admin/categoryedit.php:108
$limit
$limit
Definition: ezimagecatalogue/admin/imagelist.php:312
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$res
$res
Definition: ezstats/admin/cron.php:45
$offset
$offset
Definition: ezstats/admin/cron.php:51
$count
$count
Definition: onlinetypelist.php:108
$categoryID
else $categoryID
Definition: productview.php:66
Name
if($user) if(isset( $next) && $next)<?=isset($all_fields_error) &&$all_fields_error ?><?=isset($password_error) &&$password_error ?></p ><? endif;?>< form method="post">< table border="0" cellspacing="2" cellpadding="2" class="boxtext" style="font-size=13;">< tr >< td style="color:<?= isset( $error['first_name'] ) ?> First Name
Definition: step1.php:127
$category_array
$category_array
Definition: todoedit.php:604
$currentUserID
$currentUserID
Definition: todolist.php:128
$user
$user
Definition: user/adlist.php:39
$image
$image
Definition: user/articlelist.php:242
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.